osl::eval::ml::King25EffectDefense Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 17 * 128 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &, int black_effect, int black_piece, int white_effect, int white_piece)

## Static Public Attributes

static CArray< MultiInt, 17 *128 > | table

## Static Private Member Functions

static int | index (int effect, int piece_count)

## Detailed Description

Definition at line 202 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 210 of file kingTable.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::King25EffectDefense::eval | ( | const NumEffectState & | ,
|  | int | black_effect,
|  | int | black_piece,
|  | int | white_effect,
|  | int | white_piece )

inline static

Definition at line 219 of file kingTable.h.

References index(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25EffectDefense::index | ( | int | effect,
|  | int | piece_count )

inline static private

Definition at line 205 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectDefense::setUp | ( | const Weights & | weights,
|  | int | stage )

inline static

Definition at line 212 of file kingTable.h.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 17 *128 > osl::eval::ml::King25EffectDefense::table

static

Definition at line 211 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc